Katello - Bug #23866

repositories index returning incorrect repository ids for lifecycle environment
06/08/2018 06:35 PM - Thomas McKay

Status: Closed
Priority: Normal
Assignee: Thomas McKay
Category: Repositories
Target version: Katello 3.7.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/744
9
Description

Going to lifecycle environment container image tags page and watch the call to repositories api

https://devel.example.com/katello/api/v2/repositories?content_type=docker&environment_id=5&full_result=true&library=true&organiz
ation_id=3

The repositories returned are wrong ids for the current lifecycle environment.

Associated revisions

Revision d434ddae - 06/14/2018 05:47 PM - Thomas McKay
fixes #23850,#23866 - lifecycle container image tags

History

#1 - 06/13/2018 05:49 PM - Justin Sherrill

- Status changed from New to Need more information

can you try without library=true?

#2 - 06/13/2018 07:12 PM - The Foreman Bot
- Status changed from Need more information to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/7449 added

#3 - 06/14/2018 06:01 PM - Thomas McKay
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|d434ddaedce55199812718c20fe3596fee2fab12.

#4 - 06/20/2018 05:44 PM - Jonathon Turel

- translation missing: en.field_release set to 338
